Metrics endpoints
GET /api/v1/projects/{project_id}/metrics/models
Section titled “GET /api/v1/projects/{project_id}/metrics/models”Models
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
environment |
query | string or null | no | max length 64 |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: array of ModelMetricsOut |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/metrics/overview
Section titled “GET /api/v1/projects/{project_id}/metrics/overview”Overview
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
environment |
query | string or null | no | max length 64 |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: OverviewOut |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/metrics/timeseries
Section titled “GET /api/v1/projects/{project_id}/metrics/timeseries”Timeseries
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
environment |
query | string or null | no | max length 64 |
bucket |
query | "hour" | "day" |
no | Default "hour". |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: array of TimeseriesPointOut |
| 422 | Validation Error | application/json: HTTPValidationError |